Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2369)

Issue 2514173002: Check dimensions and content of bitmaps in EmbedderTests. (Closed)

Created:
3 years, 10 months ago by Lei Zhang
Modified:
3 years, 10 months ago
Reviewers:
Tom Sepez, npm
CC:
pdfium-reviews_googlegroups.com
Target Ref:
refs/heads/master
Project:
pdfium
Visibility:
Public.

Description

Check dimensions and content of bitmaps in EmbedderTests. Committed: https://pdfium.googlesource.com/pdfium/+/bcd3e538f170a5ab2c3295f1a3b0062781d384a5

Patch Set 1 #

Patch Set 2 : Fix Mac bots, but will other Macs be happy? Probably. #

Total comments: 5

Patch Set 3 : Use built-in md5sum, rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+59 lines, -10 lines) Patch
M BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M core/fpdfapi/page/fpdf_page_func_embeddertest.cpp View 1 chunk +1 line, -0 lines 0 comments Download
M core/fpdfapi/parser/fpdf_parser_decode_embeddertest.cpp View 1 2 3 chunks +9 lines, -0 lines 0 comments Download
M core/fpdfapi/render/fpdf_render_loadimage_embeddertest.cpp View 3 chunks +3 lines, -0 lines 0 comments Download
M core/fpdfapi/render/fpdf_render_pattern_embeddertest.cpp View 1 chunk +1 line, -0 lines 0 comments Download
M core/fxcodec/codec/fx_codec_embeddertest.cpp View 1 chunk +1 line, -0 lines 0 comments Download
M testing/DEPS View 1 2 1 chunk +0 lines, -8 lines 0 comments Download
M testing/embedder_test.h View 1 chunk +6 lines, -0 lines 0 comments Download
M testing/embedder_test.cpp View 1 2 3 chunks +34 lines, -2 lines 0 comments Download
A testing/libfuzzer/DEPS View 1 2 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 33 (22 generated)
Lei Zhang
PTAL and make sure it passes on your Mac locally. It passes locally on a ...
3 years, 10 months ago (2016-11-20 22:51:13 UTC) #15
npm
Unfortunately FPDFParserDecodeEmbeddertest.Bug_455199 failed: Value of: pdfium::MD5String(FPDFBitmap_GetBuffer(bitmap), expected_stride * expected_height) Actual: "b90475ca64d1348c3bf5e2b77ad9187a" Expected: expected_md5sum Which is: ...
3 years, 10 months ago (2016-11-21 16:15:18 UTC) #16
Tom Sepez
https://codereview.chromium.org/2514173002/diff/40001/core/fpdfapi/page/fpdf_page_func_embeddertest.cpp File core/fpdfapi/page/fpdf_page_func_embeddertest.cpp (right): https://codereview.chromium.org/2514173002/diff/40001/core/fpdfapi/page/fpdf_page_func_embeddertest.cpp#newcode18 core/fpdfapi/page/fpdf_page_func_embeddertest.cpp:18: CompareBitmap(bitmap, 612, 792, "1940568c9ba33bac5d0b1ee9558c76b3"); 8 bytes is more than ...
3 years, 10 months ago (2016-11-21 18:18:26 UTC) #18
Tom Sepez
https://codereview.chromium.org/2514173002/diff/40001/testing/utils/md5.cpp File testing/utils/md5.cpp (right): https://codereview.chromium.org/2514173002/diff/40001/testing/utils/md5.cpp#newcode1 testing/utils/md5.cpp:1: // Copyright 2016 PDFium Authors. All rights reserved. On ...
3 years, 10 months ago (2016-11-21 18:23:17 UTC) #19
Tom Sepez
> > In fact, if we were really on top of things, we'd pull the ...
3 years, 10 months ago (2016-11-21 18:36:26 UTC) #20
Tom Sepez
On 2016/11/21 18:36:26, Tom Sepez wrote: > > > > In fact, if we were ...
3 years, 10 months ago (2016-11-21 19:53:17 UTC) #21
Lei Zhang
OK, I'll get back to this in a bit and use the FX MD5 implementation. ...
3 years, 10 months ago (2016-11-21 19:59:30 UTC) #22
Lei Zhang
PTAL
3 years, 10 months ago (2016-11-21 20:28:13 UTC) #25
Tom Sepez
lgtm
3 years, 10 months ago (2016-11-21 21:09:04 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2514173002/60001
3 years, 10 months ago (2016-11-21 21:37:12 UTC) #30
commit-bot: I haz the power
3 years, 10 months ago (2016-11-21 21:37:33 UTC) #33
Message was sent while issue was closed.
Committed patchset #3 (id:60001) as
https://pdfium.googlesource.com/pdfium/+/bcd3e538f170a5ab2c3295f1a3b0062781d3...

Powered by Google App Engine
This is Rietveld 408576698